import tkinter as tk
from day import Day


class Application(tk.Frame):
    def __init__(self, master=None):
        super().__init__(master)
        self.master = master
        self.pack()
        self.create_widgets()
        self.day = Day()

    def create_widgets(self):
        self.hi_there = tk.Button(self)
        self.hi_there.pack(side="top")

        self.quit = tk.Button(self, text="QUIT", fg="red",
                              command=self.master.destroy)
        self.quit.pack(side="bottom")

        self.begin_day = tk.Button(
            self, text="begin day", command=self.day_begin)
        self.begin_day.pack(side="left")

        self.end_day = tk.Button(self, text="end day", command=self.day_end)
        self.end_day.pack(side="right")

        self.begin_pause = tk.Button(
            self, text="begin pause", command=self.make_brake)
        self.begin_pause.pack(side="left")

        self.end_pause = tk.Button(
            self, text="end pause", command=self.stop_break)
        self.end_pause.pack(side="right")

    def day_begin(self):
        self.day.beginDay()
        self.hi_there["text"] = "Started day"

    def day_end(self):
        if not self.day.is_day_started():
            '''change field to: du musst erst day starten'''
            return

        self.day.endDay()
        self.hi_there["text"] = "Good Bye"
        self.day = Day()

    def make_brake(self):
        self.day.make_break()
        self.hi_there["text"] = "Have a nice lunch"

    def stop_break(self):
        self.day.stop_break()
        self.hi_there["text"] = "Welcome back"


root = tk.Tk()
app = Application(master=root)
app.mainloop()
